public static interface VertxHttpEndpointBuilderFactory.VertxHttpBuilders
| Modifier and Type | Method and Description |
|---|---|
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
vertxHttp(String path)
Vert.x HTTP Client (camel-vertx-http)
Send requests to external HTTP servers using Vert.x
Category: http
Since: 3.5
Maven coordinates: org.apache.camel:camel-vertx-http
Syntax:
vertx-http:httpUri
Path parameter: httpUri (required)
The HTTP URI to connect to |
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder |
vertxHttp(String componentName,
String path)
Vert.x HTTP Client (camel-vertx-http)
Send requests to external HTTP servers using Vert.x
Category: http
Since: 3.5
Maven coordinates: org.apache.camel:camel-vertx-http
Syntax:
vertx-http:httpUri
Path parameter: httpUri (required)
The HTTP URI to connect to |
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder vertxHttp(String path)
vertx-http:httpUri
Path parameter: httpUri (required)
The HTTP URI to connect topath - httpUridefault VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder vertxHttp(String componentName, String path)
vertx-http:httpUri
Path parameter: httpUri (required)
The HTTP URI to connect tocomponentName - to use a custom component name for the endpoint
instead of the default namepath - httpUriApache Camel